Attribute VB_Name = "mSample"


Option Explicit


Private Enum PixelFormats
    PixelFormatUndefined = 0
    PixelFormatDontCare = 0
    PixelFormatMax = 15
    PixelFormat1_8 = 256
    PixelFormat4_8 = 1024
    PixelFormat8_8 = 2048
    PixelFormat16_8 = 4096
    PixelFormat24_8 = 6144
    PixelFormat32_8 = 8192
    PixelFormat48_8 = 12288
    PixelFormat64_8 = 16384
    PixelFormatIndexed = 65536
    PixelFormatGDI = 131072
    PixelFormatAlpha = 262144
    PixelFormatPAlpha = 524288
    PixelFormatExtended = 1048576
    PixelFormatCanonical = 2097152
    PixelFormat1bppIndexed = 196865
    PixelFormat4bppIndexed = 197634
    PixelFormat8bppIndexed = 198659
    PixelFormat16bppGrayScale = 1052676
    PixelFormat16bppRGB555 = 135173
    PixelFormat16bppRGB565 = 135174
    PixelFormat16bppARGB1555 = 397319
    PixelFormat24bppRGB = 137224
    PixelFormat32bppRGB = 139273
    PixelFormat32bppARGB = 2498570
    PixelFormat32bppPARGB = 860171
    PixelFormat48bppRGB = 1060876
    PixelFormat64bppARGB = 3424269
    PixelFormat64bppPARGB = 1851406
End Enum


' Returns a PixelFormat string from a PixelFormat number
'
' Called externally (frmMain)
Public Function GdiPixelFormat(ByVal iFormat As Long) As String

  On Error Resume Next

  Dim sFormat As String
  
    Select Case iFormat
        Case PixelFormatUndefined, PixelFormatDontCare
            sFormat = "Undefined"
        Case PixelFormat1_8
            sFormat = "1 bpp Custom Palleted"
        Case PixelFormat4_8
            sFormat = "4 bpp Custom Palleted"
        Case PixelFormat8_8
            sFormat = "8 bpp Custom Palleted"
        Case PixelFormat16_8
            sFormat = "16 bpp Custom Palleted"
        Case PixelFormat24_8
            sFormat = "24 bpp Custom Palleted"
        Case PixelFormat32_8
            sFormat = "32 bpp Custom Palleted"
        Case PixelFormat48_8
            sFormat = "48 bpp Custom Palleted"
        Case PixelFormat64_8
            sFormat = "64 bpp Custom Palleted"
        Case PixelFormatIndexed
            sFormat = "Palleted"
        Case PixelFormatGDI
            sFormat = "GDI"
        Case PixelFormat16bppRGB555
            sFormat = "16 bpp RGB 555"
        Case PixelFormat16bppRGB565
            sFormat = "16 bpp RGB 565"
        Case PixelFormat24bppRGB
            sFormat = "24 bpp RGB"
        Case PixelFormat32bppRGB
            sFormat = "32 bpp RGB"
        Case PixelFormat1bppIndexed
            sFormat = "1 bpp Palleted"
        Case PixelFormat4bppIndexed
            sFormat = "4 bpp Palleted"
        Case PixelFormat8bppIndexed
            sFormat = "8 bpp Palleted"
        Case PixelFormatAlpha
            sFormat = "Alpha"
        Case PixelFormat16bppARGB1555
            sFormat = "16 bpp A RGB 1555"
        Case PixelFormatPAlpha
            sFormat = "P Alpha"
        Case PixelFormat32bppPARGB
            sFormat = "32 bpp PA RGB"
        Case PixelFormatExtended
            sFormat = "Extended"
        Case PixelFormat16bppGrayScale
            sFormat = "1 bpp Palleted"
        Case PixelFormat48bppRGB
            sFormat = "48 bpp RGB"
        Case PixelFormat64bppPARGB
            sFormat = "64 bpp PA RGB"
        Case PixelFormatCanonical
            sFormat = "Canonical"
        Case PixelFormat32bppARGB
            sFormat = "32 bpp A RGB"
        Case PixelFormat64bppARGB
            sFormat = "64 bpp A RGB"
    End Select

    GdiPixelFormat = sFormat

End Function

